1. Packages
  2. Packages
  3. Nutanix
  4. API Docs
  5. getSamlIdentityProvidersV2
Viewing docs for Nutanix v0.13.0
published on Tuesday, Apr 28, 2026 by Piers Karsenbarg
nutanix logo
Viewing docs for Nutanix v0.13.0
published on Tuesday, Apr 28, 2026 by Piers Karsenbarg

    Provides a datasource to retrieve all the SAML Identity Provider(s).

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as nutanix from "@pierskarsenbarg/nutanix";
    
    const idps_list = nutanix.getSamlIdentityProvidersV2({});
    // list saml identity providers
    const filtered_idps = nutanix.getSamlIdentityProvidersV2({
        filter: "name eq 'idp_example_name'",
        limit: 2,
    });
    
    import pulumi
    import pulumi_nutanix as nutanix
    
    idps_list = nutanix.get_saml_identity_providers_v2()
    # list saml identity providers
    filtered_idps = nutanix.get_saml_identity_providers_v2(filter="name eq 'idp_example_name'",
        limit=2)
    
    package main
    
    import (
    	"github.com/pierskarsenbarg/pulumi-nutanix/sdk/go/nutanix"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := nutanix.GetSamlIdentityProvidersV2(ctx, &nutanix.LookupSamlIdentityProvidersV2Args{}, nil)
    		if err != nil {
    			return err
    		}
    		// list saml identity providers
    		_, err = nutanix.GetSamlIdentityProvidersV2(ctx, &nutanix.LookupSamlIdentityProvidersV2Args{
    			Filter: pulumi.StringRef("name eq 'idp_example_name'"),
    			Limit:  pulumi.IntRef(2),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Nutanix = PiersKarsenbarg.Nutanix;
    
    return await Deployment.RunAsync(() => 
    {
        var idps_list = Nutanix.Index.GetSamlIdentityProvidersV2.Invoke();
    
        // list saml identity providers
        var filtered_idps = Nutanix.Index.GetSamlIdentityProvidersV2.Invoke(new()
        {
            Filter = "name eq 'idp_example_name'",
            Limit = 2,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.nutanix.NutanixFunctions;
    import com.pulumi.nutanix.inputs.GetSamlIdentityProvidersV2Args;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var idps-list = NutanixFunctions.getSamlIdentityProvidersV2(GetSamlIdentityProvidersV2Args.builder()
                .build());
    
            // list saml identity providers
            final var filtered-idps = NutanixFunctions.getSamlIdentityProvidersV2(GetSamlIdentityProvidersV2Args.builder()
                .filter("name eq 'idp_example_name'")
                .limit(2)
                .build());
    
        }
    }
    
    variables:
      idps-list:
        fn::invoke:
          function: nutanix:getSamlIdentityProvidersV2
          arguments: {}
      # list saml identity providers
      filtered-idps:
        fn::invoke:
          function: nutanix:getSamlIdentityProvidersV2
          arguments:
            filter: name eq 'idp_example_name'
            limit: 2
    

    Argument Reference

    The following arguments are supported:

    • page: - A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    • limit : A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    • filter :A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, filter ‘$filter=name eq ‘karbon-ntnx-1.0’ would filter the result on cluster name ‘karbon-ntnx1.0’, filter ‘$filter=startswith(name, ‘C’)’ would filter on cluster name starting with ‘C’. The filter can be applied to the following fields:
      • createdBy
      • extId
      • name
    • orderby : A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. For example, ‘$orderby=templateName desc’ would get all templates sorted by templateName in descending order. The orderby can be applied to the following fields:
      • createdTime
      • lastUpdatedTime
      • name
    • select : A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. The select can be applied to the following fields:
      • createdBy
      • createdTime
      • customAttributes
      • emailAttribute
      • entityIssuer
      • extId
      • groupsAttribute
      • groupsDelim
      • idpMetadata/certificate
      • idpMetadata/entityId
      • idpMetadata/errorUrl
      • idpMetadata/loginUrl
      • idpMetadata/logoutUrl
      • idpMetadata/nameIdPolicyFormat
      • isSignedAuthnReqEnabled
      • lastUpdatedTime
      • links
      • name
      • tenantId
      • usernameAttribute

    Using getSamlIdentityProvidersV2

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getSamlIdentityProvidersV2(args: GetSamlIdentityProvidersV2Args, opts?: InvokeOptions): Promise<GetSamlIdentityProvidersV2Result>
    function getSamlIdentityProvidersV2Output(args: GetSamlIdentityProvidersV2OutputArgs, opts?: InvokeOptions): Output<GetSamlIdentityProvidersV2Result>
    def get_saml_identity_providers_v2(filter: Optional[str] = None,
                                       limit: Optional[int] = None,
                                       order_by: Optional[str] = None,
                                       page: Optional[int] = None,
                                       select: Optional[str] = None,
                                       opts: Optional[InvokeOptions] = None) -> GetSamlIdentityProvidersV2Result
    def get_saml_identity_providers_v2_output(filter: pulumi.Input[Optional[str]] = None,
                                       limit: pulumi.Input[Optional[int]] = None,
                                       order_by: pulumi.Input[Optional[str]] = None,
                                       page: pulumi.Input[Optional[int]] = None,
                                       select: pulumi.Input[Optional[str]] = None,
                                       opts: Optional[InvokeOptions] = None) -> Output[GetSamlIdentityProvidersV2Result]
    func LookupSamlIdentityProvidersV2(ctx *Context, args *LookupSamlIdentityProvidersV2Args, opts ...InvokeOption) (*LookupSamlIdentityProvidersV2Result, error)
    func LookupSamlIdentityProvidersV2Output(ctx *Context, args *LookupSamlIdentityProvidersV2OutputArgs, opts ...InvokeOption) LookupSamlIdentityProvidersV2ResultOutput

    > Note: This function is named LookupSamlIdentityProvidersV2 in the Go SDK.

    public static class GetSamlIdentityProvidersV2 
    {
        public static Task<GetSamlIdentityProvidersV2Result> InvokeAsync(GetSamlIdentityProvidersV2Args args, InvokeOptions? opts = null)
        public static Output<GetSamlIdentityProvidersV2Result> Invoke(GetSamlIdentityProvidersV2InvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetSamlIdentityProvidersV2Result> getSamlIdentityProvidersV2(GetSamlIdentityProvidersV2Args args, InvokeOptions options)
    public static Output<GetSamlIdentityProvidersV2Result> getSamlIdentityProvidersV2(GetSamlIdentityProvidersV2Args args, InvokeOptions options)
    
    fn::invoke:
      function: nutanix:index/getSamlIdentityProvidersV2:getSamlIdentityProvidersV2
      arguments:
        # arguments dictionary

    The following arguments are supported:

    Filter string
    Limit int
    OrderBy string
    Page int
    Select string
    Filter string
    Limit int
    OrderBy string
    Page int
    Select string
    filter String
    limit Integer
    orderBy String
    page Integer
    select String
    filter string
    limit number
    orderBy string
    page number
    select string
    filter str
    limit int
    order_by str
    page int
    select str
    filter String
    limit Number
    orderBy String
    page Number
    select String

    getSamlIdentityProvidersV2 Result

    The following output properties are available:

    Id string
    The provider-assigned unique ID for this managed resource.
    IdentityProviders List<PiersKarsenbarg.Nutanix.Outputs.GetSamlIdentityProvidersV2IdentityProvider>
    List all SAML Identity Provider(s).
    Filter string
    Limit int
    OrderBy string
    Page int
    Select string
    Id string
    The provider-assigned unique ID for this managed resource.
    IdentityProviders []GetSamlIdentityProvidersV2IdentityProvider
    List all SAML Identity Provider(s).
    Filter string
    Limit int
    OrderBy string
    Page int
    Select string
    id String
    The provider-assigned unique ID for this managed resource.
    identityProviders List<GetSamlIdentityProvidersV2IdentityProvider>
    List all SAML Identity Provider(s).
    filter String
    limit Integer
    orderBy String
    page Integer
    select String
    id string
    The provider-assigned unique ID for this managed resource.
    identityProviders GetSamlIdentityProvidersV2IdentityProvider[]
    List all SAML Identity Provider(s).
    filter string
    limit number
    orderBy string
    page number
    select string
    id str
    The provider-assigned unique ID for this managed resource.
    identity_providers Sequence[GetSamlIdentityProvidersV2IdentityProvider]
    List all SAML Identity Provider(s).
    filter str
    limit int
    order_by str
    page int
    select str
    id String
    The provider-assigned unique ID for this managed resource.
    identityProviders List<Property Map>
    List all SAML Identity Provider(s).
    filter String
    limit Number
    orderBy String
    page Number
    select String

    Supporting Types

    GetSamlIdentityProvidersV2IdentityProvider

    CreatedBy string
    • User or Service who created the SAML Identity Provider.
    CreatedTime string
    • Creation time of the SAML Identity Provider.
    CustomAttributes List<string>
    EmailAttribute string
    EntityIssuer string
    • It will be used as Issuer in SAML authnRequest.
    ExtId string
    The External Identifier of the User Group.
    GroupsAttribute string
    GroupsDelim string
    • Delimiter is used to split the value of attribute into multiple groups.
    IdpMetadatas List<PiersKarsenbarg.Nutanix.Inputs.GetSamlIdentityProvidersV2IdentityProviderIdpMetadata>
    • Type of the User Group. LDAP (User Group belonging to a Directory Service (Open LDAP/AD)), SAML (User Group belonging to a SAML IDP.)
    IsSignedAuthnReqEnabled bool
    • Flag indicating signing of SAML authnRequests.
    LastUpdatedTime string
    • Last updated time of the SAML Identity Provider.
    Name string
    • Unique name of the IDP.
    UsernameAttribute string
    CreatedBy string
    • User or Service who created the SAML Identity Provider.
    CreatedTime string
    • Creation time of the SAML Identity Provider.
    CustomAttributes []string
    EmailAttribute string
    EntityIssuer string
    • It will be used as Issuer in SAML authnRequest.
    ExtId string
    The External Identifier of the User Group.
    GroupsAttribute string
    GroupsDelim string
    • Delimiter is used to split the value of attribute into multiple groups.
    IdpMetadatas []GetSamlIdentityProvidersV2IdentityProviderIdpMetadata
    • Type of the User Group. LDAP (User Group belonging to a Directory Service (Open LDAP/AD)), SAML (User Group belonging to a SAML IDP.)
    IsSignedAuthnReqEnabled bool
    • Flag indicating signing of SAML authnRequests.
    LastUpdatedTime string
    • Last updated time of the SAML Identity Provider.
    Name string
    • Unique name of the IDP.
    UsernameAttribute string
    createdBy String
    • User or Service who created the SAML Identity Provider.
    createdTime String
    • Creation time of the SAML Identity Provider.
    customAttributes List<String>
    emailAttribute String
    entityIssuer String
    • It will be used as Issuer in SAML authnRequest.
    extId String
    The External Identifier of the User Group.
    groupsAttribute String
    groupsDelim String
    • Delimiter is used to split the value of attribute into multiple groups.
    idpMetadatas List<GetSamlIdentityProvidersV2IdentityProviderIdpMetadata>
    • Type of the User Group. LDAP (User Group belonging to a Directory Service (Open LDAP/AD)), SAML (User Group belonging to a SAML IDP.)
    isSignedAuthnReqEnabled Boolean
    • Flag indicating signing of SAML authnRequests.
    lastUpdatedTime String
    • Last updated time of the SAML Identity Provider.
    name String
    • Unique name of the IDP.
    usernameAttribute String
    createdBy string
    • User or Service who created the SAML Identity Provider.
    createdTime string
    • Creation time of the SAML Identity Provider.
    customAttributes string[]
    emailAttribute string
    entityIssuer string
    • It will be used as Issuer in SAML authnRequest.
    extId string
    The External Identifier of the User Group.
    groupsAttribute string
    groupsDelim string
    • Delimiter is used to split the value of attribute into multiple groups.
    idpMetadatas GetSamlIdentityProvidersV2IdentityProviderIdpMetadata[]
    • Type of the User Group. LDAP (User Group belonging to a Directory Service (Open LDAP/AD)), SAML (User Group belonging to a SAML IDP.)
    isSignedAuthnReqEnabled boolean
    • Flag indicating signing of SAML authnRequests.
    lastUpdatedTime string
    • Last updated time of the SAML Identity Provider.
    name string
    • Unique name of the IDP.
    usernameAttribute string
    created_by str
    • User or Service who created the SAML Identity Provider.
    created_time str
    • Creation time of the SAML Identity Provider.
    custom_attributes Sequence[str]
    email_attribute str
    entity_issuer str
    • It will be used as Issuer in SAML authnRequest.
    ext_id str
    The External Identifier of the User Group.
    groups_attribute str
    groups_delim str
    • Delimiter is used to split the value of attribute into multiple groups.
    idp_metadatas Sequence[GetSamlIdentityProvidersV2IdentityProviderIdpMetadata]
    • Type of the User Group. LDAP (User Group belonging to a Directory Service (Open LDAP/AD)), SAML (User Group belonging to a SAML IDP.)
    is_signed_authn_req_enabled bool
    • Flag indicating signing of SAML authnRequests.
    last_updated_time str
    • Last updated time of the SAML Identity Provider.
    name str
    • Unique name of the IDP.
    username_attribute str
    createdBy String
    • User or Service who created the SAML Identity Provider.
    createdTime String
    • Creation time of the SAML Identity Provider.
    customAttributes List<String>
    emailAttribute String
    entityIssuer String
    • It will be used as Issuer in SAML authnRequest.
    extId String
    The External Identifier of the User Group.
    groupsAttribute String
    groupsDelim String
    • Delimiter is used to split the value of attribute into multiple groups.
    idpMetadatas List<Property Map>
    • Type of the User Group. LDAP (User Group belonging to a Directory Service (Open LDAP/AD)), SAML (User Group belonging to a SAML IDP.)
    isSignedAuthnReqEnabled Boolean
    • Flag indicating signing of SAML authnRequests.
    lastUpdatedTime String
    • Last updated time of the SAML Identity Provider.
    name String
    • Unique name of the IDP.
    usernameAttribute String

    GetSamlIdentityProvidersV2IdentityProviderIdpMetadata

    Certificate string
    • Certificate for verification.
    EntityId string
    • Entity Identifier of Identity provider.
    ErrorUrl string
    • Error URL of the Identity provider.
    LoginUrl string
    • Login URL of the Identity provider.
    LogoutUrl string
    • Logout URL of the Identity provider.
    NameIdPolicyFormat string
    • Name ID Policy format. supported values:
    • emailAddress: - Uses email address as NameID format
    Certificate string
    • Certificate for verification.
    EntityId string
    • Entity Identifier of Identity provider.
    ErrorUrl string
    • Error URL of the Identity provider.
    LoginUrl string
    • Login URL of the Identity provider.
    LogoutUrl string
    • Logout URL of the Identity provider.
    NameIdPolicyFormat string
    • Name ID Policy format. supported values:
    • emailAddress: - Uses email address as NameID format
    certificate String
    • Certificate for verification.
    entityId String
    • Entity Identifier of Identity provider.
    errorUrl String
    • Error URL of the Identity provider.
    loginUrl String
    • Login URL of the Identity provider.
    logoutUrl String
    • Logout URL of the Identity provider.
    nameIdPolicyFormat String
    • Name ID Policy format. supported values:
    • emailAddress: - Uses email address as NameID format
    certificate string
    • Certificate for verification.
    entityId string
    • Entity Identifier of Identity provider.
    errorUrl string
    • Error URL of the Identity provider.
    loginUrl string
    • Login URL of the Identity provider.
    logoutUrl string
    • Logout URL of the Identity provider.
    nameIdPolicyFormat string
    • Name ID Policy format. supported values:
    • emailAddress: - Uses email address as NameID format
    certificate str
    • Certificate for verification.
    entity_id str
    • Entity Identifier of Identity provider.
    error_url str
    • Error URL of the Identity provider.
    login_url str
    • Login URL of the Identity provider.
    logout_url str
    • Logout URL of the Identity provider.
    name_id_policy_format str
    • Name ID Policy format. supported values:
    • emailAddress: - Uses email address as NameID format
    certificate String
    • Certificate for verification.
    entityId String
    • Entity Identifier of Identity provider.
    errorUrl String
    • Error URL of the Identity provider.
    loginUrl String
    • Login URL of the Identity provider.
    logoutUrl String
    • Logout URL of the Identity provider.
    nameIdPolicyFormat String
    • Name ID Policy format. supported values:
    • emailAddress: - Uses email address as NameID format

    Package Details

    Repository
    nutanix pierskarsenbarg/pulumi-nutanix
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the nutanix Terraform Provider.
    nutanix logo
    Viewing docs for Nutanix v0.13.0
    published on Tuesday, Apr 28, 2026 by Piers Karsenbarg
      Try Pulumi Cloud free. Your team will thank you.